AOMedia Codec SDK

Data Fields
aom_postproc_cfg Struct Reference
Supported Codecs » AOM

post process flags More...

`#include <aom.h>`

## Data Fields
int | post_proc_flag
| the types of post processing to be done, should be combination of "aom_postproc_level"
int | deblocking_level
int | noise_level

## Detailed Description

post process flags

This define a structure that describe the post processing settings. For the best objective measure (using the PSNR metric) set post_proc_flag to AOM_DEBLOCK and deblocking_level to 1.

## Field Documentation

## ◆ deblocking_level

int aom_postproc_cfg::deblocking_level

the strength of deblocking, valid range [0, 16]

## ◆ noise_level

int aom_postproc_cfg::noise_level

the strength of additive noise, valid range [0, 16]

The documentation for this struct was generated from the following file:

- aom/aom.h